.shadow-container::before,
.shadow-container::after {
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 20px;
  z-index: 0;
  border-radius: 0 0 65% 65%;
}

.shadow-container::before {
  top: 0;
}

.shadow-container::after {
  bottom: 0;
}

.shadow-container {
  box-shadow: 0px -50px 50px rgba(31, 25, 66, 0.5);
  border-top: 3px solid;
  background: linear-gradient(320.19deg, #101625 55.33%, #1b2336 92.33%);
}

.gradient-text {
  color: transparent;
  background: linear-gradient(180deg, #b9aaff 35%, #6a43e9 80%);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

.footer-links {
  border-bottom: 0.5px solid #d9d9d9;
}

.top-left-blur {
  width: 687px;
  height: 189px;
  top: 151px;
  left: -203px;
  position: absolute;
  z-index: -1;
  transform: rotate(22.11deg);
  transform-origin: 0 0;
  border-radius: 9999px;
  filter: blur(150px);
  background: #6a43e9;
  opacity: 0.8;
}

.top-right-blur {
  width: 687px;
  height: 189px;
  top: 369px;
  right: -903px;
  position: absolute;
  z-index: -1;
  transform: rotate(108deg);
  transform-origin: 0 0;
  border-radius: 9999px;
  filter: blur(150px);
  background: #6a43e9;
  opacity: 0.8;
}

.middle-section1-top-desktop {
  position: absolute;
  width: 330px;
  height: 311px;
  top: -30px;
  right: 0px;
  opacity: 0.5;
  z-index: -1;

  background: radial-gradient(
    70.71% 70.71% at 50% 50%,
    #1a8d4f 0%,
    rgba(16, 22, 36, 0) 75%
  );
  filter: blur(30px);
}

.middle-section1-bottom-desktop {
  position: absolute;
  width: 230px;
  height: 211px;
  bottom: 80px;
  left: -50px;
  opacity: 0.5;
  z-index: -1;

  background: radial-gradient(
    70.71% 70.71% at 50% 50%,
    #1a8d4f 0%,
    rgba(16, 22, 36, 0) 75%
  );
  filter: blur(30px);
}

.middle-section2-top-desktop {
  position: absolute;
  width: 330px;
  height: 311px;
  top: 0px;
  right: -30px;
  opacity: 0.5;
  z-index: -1;

  background: radial-gradient(
    70.71% 70.71% at 50% 50%,
    #1a8d4f 0%,
    rgba(16, 22, 36, 0) 75%
  );
  filter: blur(30px);
}

.middle-section2-bottom-desktop {
  position: absolute;
  width: 230px;
  height: 211px;
  bottom: 80px;
  left: -50px;
  opacity: 0.5;
  z-index: -1;

  background: radial-gradient(
    70.71% 70.71% at 50% 50%,
    #1a8d4f 0%,
    rgba(16, 22, 36, 0) 75%
  );
  filter: blur(30px);
}

.middle-section3-top-desktop {
  position: absolute;
  width: 330px;
  height: 311px;
  top: 0px;
  right: -80px;
  opacity: 0.5;
  z-index: -1;

  background: radial-gradient(
    70.71% 70.71% at 50% 50%,
    #1a8d4f 0%,
    rgba(16, 22, 36, 0) 75%
  );
  filter: blur(30px);
}

.middle-section3-bottom-desktop {
  position: absolute;
  width: 230px;
  height: 211px;
  bottom: 211px;
  left: -80px;
  opacity: 0.5;
  z-index: -1;

  background: radial-gradient(
    70.71% 70.71% at 50% 50%,
    #1a8d4f 0%,
    rgba(16, 22, 36, 0) 75%
  );
  filter: blur(30px);
}

@keyframes float {
  0% {
    transform: translatey(0px);
  }
  50% {
    transform: translatey(-20px);
  }
  100% {
    transform: translatey(0px);
  }
}

.floatImage,
.floatImageIcon {
  width: 200px;
  height: 140px;
  box-sizing: border-box;
  overflow: hidden;
  transform: translatey(0px);
  animation: float 4s ease-in-out infinite;
}

.floatImageIcon {
  width: 240px;
  height: 240px;
  animation: float 6s ease-in-out infinite;
}

.productivity-block-bg-image {
  position: absolute;
  right: 0;
  top: 200px;
  z-index: 201;
}

.productivity-Blur {
  width: 250px;
  height: 350px;
  top: 150px;
  right: 0px;
  position: absolute;
  z-index: 200;
  transform: rotate(0deg);
  transform-origin: 0 0;
  border-radius: 9999px;
  filter: blur(180px);
  background: #6a43e9;
  opacity: 0.8;
}

.top-left-purple-blur {
  width: 687px;
  height: 189px;
  top: 151px;
  left: -203px;
  position: absolute;
  z-index: -1;
  transform: rotate(22.11deg);
  transform-origin: 0 0;
  border-radius: 9999px;
  filter: blur(150px);
  background: #6a43e9;
  opacity: 0.8;
}

.top-right-purple-blur {
  width: 187px;
  height: 489px;
  top: 369px;
  right: 0px;
  position: absolute;
  z-index: -1;
  transform-origin: 0 0;
  border-radius: 9999px;
  filter: blur(150px);
  background: #6a43e9;
  opacity: 0.8;
}

.bottom-left-green-blur {
  position: absolute;
  z-index: -1;
  transform: rotate(22.11deg);
  transform-origin: 0 0;
  border-radius: 9999px;
  background: #1a8d4f;
  width: 300px;
  height: 200px;
  top: 93.31px;
  left: -82.28px;
  opacity: 0.8;
  filter: blur(150px);
  display: block;
}

.bottom-right-green-blur {
  position: absolute;
  z-index: -1;
  transform: rotate(0deg);
  transform-origin: 0 0;
  border-radius: 9999px;
  background: #1a8d4f;
  width: 300px;
  height: 200px;
  top: 300px;
  right: 0px;
  opacity: 0.8;
  filter: blur(150px);
  display: block;
}

/* mobile screen media query */
@media (max-width: 767px) {
  .top-left-purple-blur {
    position: absolute;
    z-index: -1;
    transform: rotate(22.11deg);
    transform-origin: 0 0;
    border-radius: 9999px;
    background: #6a43e9;
    width: 279.77px;
    height: 77.04px;
    top: 93.31px;
    left: -82.28px;
    opacity: 0.8;
    filter: blur(100px);
    display: block;
  }

  .top-right-purple-blur {
    position: absolute;
    z-index: -1;
    transform: rotate(0deg);
    transform-origin: 0 0;
    border-radius: 9999px;
    background: #6a43e9;
    width: 100px;
    height: 300px;
    top: 283.38px;
    right: 0px;
    opacity: 0.8;
    filter: blur(100px);
    display: block;
  }
  .bottom-left-green-blur {
    width: 200px;
    height: 200px;
    top: 600px;
    left: -82.28px;
    filter: blur(100px);
  }
  .bottom-right-green-blur {
    width: 150px;
    height: 200px;
    top: 100px;
    right: 0px;
    filter: blur(100px);
  }
  .middle-section1-top-desktop {
    width: 230px;
    height: 250px;
    top: 31px;
    right: -13px;
    opacity: 0.7;
  }
  .middle-section1-bottom-desktop {
    width: 130px;
    height: 150px;
    top: unset;
    bottom: 33px;
    right: -25px;
  }

  .middle-section2-top-desktop {
    width: 230px;
    height: 250px;
    top: 50px;
    right: -13px;
    opacity: 1;
  }
  .middle-section2-bottom-desktop {
    width: 130px;
    height: 150px;
    top: unset;
    bottom: 33px;
    right: -25px;
  }

  .middle-section3-top-desktop {
    width: 230px;
    height: 250px;
    top: 50px;
    right: -13px;
    left: unset;
    opacity: 1;
  }
  .middle-section3-bottom-desktop {
    width: 130px;
    height: 150px;
    top: unset;
    bottom: 33px;
    right: -25px;
  }

  .floatImageIcon {
    height: 200px;
  }

  .heading-bg-grid-image {
    background-image: none;
  }
  .productivity-Blur {
    display: none;
  }
}

.step-1-bar-container {
  background-image: linear-gradient(
    180deg,
    #090c13 4.2%,
    #b9aaff 16.81%,
    #7855ed 84.06%,
    #090c13 97.13%
  );
}

.step-2-bar-container {
  background-image: linear-gradient(
    180deg,
    #090c13 4.2%,
    #886af1 16.81%,
    #1a8d4f 84.06%,
    #090c13 97.13%
  );
}
